.preloader{
	position:fixed;
	background:#000;
	top:0;
	left:0;
	width:100%;
	height:100%;
	transition:1s;
	z-index:100;
}
.preloader:before{
	content:'';
	position:absolute;
	left:0;
	width:50%;
	height:100%;
	background:#000;
	transition:1s;
	z-index:-1;
}
.preloader.complete:before{
	left:-50%;
}
.preloader:after{
	content:'';
	position:absolute;
	right:0;
	width:50%;
	height:100%;
	background:#000;
	transition:1s;
	z-index:-1;
}
.preloader.complete:after{
	right:-50%;
}
.loader{
	position:absolute;
	top:50%;
	left:50%;
	transform:translate(-50%, -50%);
	transition:1s;
	width:200px;
	height:200px;
	box-sizing:border-box;
	z-index:100;
}
.loader .face{
	position:absolute;
	border:2px solid #121212;
}
.loader .face.face1{
	top:0;
	left:0;
	right:0;
	bottom:0;
	background:#090909;
	box-shadow:0 0 10px rgba(0,0,0,1);
	border-radius:50%;
	border-left: 2px solid #ff5e00;
    border-top: 2px solid #ff5e00;
	animation:animate 3s linear infinite;
}
.loader .face.face2{
	top:30px;
	left:30px;
	right:30px;
	bottom:30px;
	background:#090909;
	box-shadow:0 0 10px rgba(0,0,0,1);
	border-radius:50%;
	border-right: 2px solid #29b319;
    border-bottom: 2px solid #29b319;
	animation:animate 3s linear reverse infinite;
}
.loader .face .circle{
	position:absolute;
	top:calc(50% - 1px);
	left:50%;
	width:50%;
	height:2px;
	transform-origin:left;
}
.loader .face.face1 .circle{
	transform:rotate(-45deg);
}
.loader .face.face2 .circle{
	transform:rotate(-45deg);
}
.loader .face .circle:before{
	content:'';
	position:absolute;
	width:10px;
	height:10px;
	border-radius:50%;
	background:#fff;
	top:-4px;
	right:-6px;
}
.loader .face.face1 .circle:before{
	background:#ff5e00;
	box-shadow:
	           0 0 20px #ff5e00,
	           0 0 40px #ff5e00,
	           0 0 60px #ff5e00,
	           0 0 80px #ff5e00,
	           0 0 100px #ff5e00,
	           0 0 0 5px rgba(255,255,0,.1);
}
.loader .face.face2 .circle:before{
	background:#29b319;
	box-shadow:
	           0 0 20px #29b319,
	           0 0 40px #29b319,
	           0 0 60px #29b319,
	           0 0 80px #29b319,
	           0 0 100px #29b319,
	           0 0 0 5px rgba(3,169,244,.1);
}
.preloader.complete{
	opacity:0;
	visibility:hidden;
	pointer-events:none;
}
@keyframes animate{
	0%{
		transform:rotate(0deg);
	}
	100%{
		transform:rotate(360deg);
	}
}